Rated 5/5 based on 240179 internet user reviews

Đến nội dung


Hình ảnh
- - - - -

[yêu cầu] lip tính khối lượng thể tích vật liệu


  • Please log in to reply
19 replies to this topic

#1 hakhoailang

hakhoailang

    biết lệnh rotate

  • Members
  • PipPipPip
  • 131 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 24 July 2011 - 08:43 PM

các báo viết hộ em cái lisp tính thể tích cá vật thể .
em đang tính khối lượng của công trình .
mà cứ ngồi pick thủ công để tính thể tích khối lượng mệt gần chết .
nhờ các bác viết hộ em cái líp tính thể tích vật thể có tỷ lệ với ý tưởng như sau .
cách tính thể tích thường thì lấy chiều dài x rộng x cao
nhung nhiều khi mình phải vẽ các vật thể ko định hình sẵn vì vậy em nghĩ nên tính diện tích rồi nhân với chiều cao .
có trường hợp lại phải tính diện bằng cách [ DIỆN TÍCH MẶT CẮT 1 CỘNG DIỆN TÍCH MẶT CẮT 2 NHÂN VỚI CHIỀU DÀI RỒI CHIA ĐÔI ]
bác nào có ý tưởng hay thì viết cho em cái lisp nó toàn diện tý
còn không thì giúp em cái này nhé em đang cần : [ DIỆN TÍCH MẶT CẮT 1 CỘNG DIỆN TÍCH MẶT CẮT 2 NHÂN VỚI CHIỀU DÀI RỒI CHIA ĐÔI ]
còn hình minh họa thì em có đây các bác
nhiều khi lại tính hình vành khăn hoặc vật thể bị khoét lõi nữa các bác .
thank các bác .
giúp hộ em tý : em đuối quá : http://www.cadviet.c...hoi_luong_1.dwg (file moi sua bai)
  • -1

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5419 Bài viết
Điểm đánh giá: 2480 (tuyệt vời)

Đã gửi 24 July 2011 - 10:12 PM

Hình minh họa bao gồm 1 đống hình hỗn độn, không 1 lời giải thích cái gì với cái gì, đâu là DT1, đâu là DT2, công việc của người dùng là gì, lisp là gì, người viết lisp là gì. Mình thiết nghĩ bạn nên tôn trọng những người đọc - muốn giúp đỡ - down file của bạn về hơn một chút nữa :)
- Diện tích mặt cắt bằng diện tích Hatch, đã có lisp thống kê, cộng.. Hatch trên diễn đàn
- Nhân diện tích với chiều cao (dài) bằng lisp nhân chia cộng trừ text, cũng đã có trên diễn đàn
Chúc bạn vận dụng thành công!
  • 1

Thành viên nhóm CadMagic.

Mời bạn ghé thăm facebook nhóm  :

CAD MAGIC


#3 hakhoailang

hakhoailang

    biết lệnh rotate

  • Members
  • PipPipPip
  • 131 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 24 July 2011 - 10:58 PM

Hình minh họa bao gồm 1 đống hình hỗn độn, không 1 lời giải thích cái gì với cái gì, đâu là DT1, đâu là DT2, công việc của người dùng là gì, lisp là gì, người viết lisp là gì. Mình thiết nghĩ bạn nên tôn trọng những người đọc - muốn giúp đỡ - down file của bạn về hơn một chút nữa :)
- Diện tích mặt cắt bằng diện tích Hatch, đã có lisp thống kê, cộng.. Hatch trên diễn đàn
- Nhân diện tích với chiều cao (dài) bằng lisp nhân chia cộng trừ text, cũng đã có trên diễn đàn
Chúc bạn vận dụng thành công!

hình minh họa của em đấy chính là cái mà em thiết kế nên nó là một đống hỗn độn bác à .chuyên ngành của em mà .em xin đưa lại hình như sau xin bác giúp đỡ .
http://www.cadviet.c...hoi_luong_1.dwg
em đang rất cần .
thank bác
  • 0

#4 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2216 Bài viết
Điểm đánh giá: 725 (tốt)

Đã gửi 24 July 2011 - 11:12 PM

hình minh họa của em đấy chính là cái mà em thiết kế nên nó là một đống hỗn độn bác à .chuyên ngành của em mà .em xin đưa lại hình như sau xin bác giúp đỡ .
http://www.cadviet.c...hoi_luong_1.dwg
em đang rất cần .
thank bác

Hình đã gửi
Theo em với hình của anh không nên câu nệ phụ thuộc quá nhiều vào lisp , trong khi CAD có thể làm được ngon lành.
Bản vẽ của anh quản lý layer tuỳ tiện quá, màu layer chỉnh sửa rối tung lên như thế sẽ gặp khó khăn khi in ấn. Nếu bản vẽ đặt mầu nào layer đó bài bản , chỉ cần tắt, bớt một số mặt cắt và các layer khác không cần thiết, rồi tiến hành như sau:
- Dựng 3D bằng lệnh Presspull chỉ vào miền kín chỗ tô mặt cắt đã tắt lớp layer > nhập chiều cao, chỉ cần nhập 1 lần dùng cho nhiều lần, chỗ nào có chiều cao khác mới phải nhập lại chiều cao.
- Dùng lệnh Union để nhập các khối riêng lẻ thành 1 khối duy nhất
- Dùng lệnh Massprop để biết được thể tích của khối 3D. Nhân với khối lượng riêng ra khối lượng.
Command: presspull
Click inside bounded areas to press or pull.
1 loop extracted.
1 Region created.
150 (chiều cao mặt cắt)
Hatch boundary associativity removed.
Hatch boundary associativity removed.
Command: PRESSPULL
Click inside bounded areas to press or pull.
1 loop extracted.
1 Region created.
100 (chiều cao mặt cắt)
Hatch boundary associativity removed.
Hatch boundary associativity removed.
Hatch boundary associativity removed.
Hatch boundary associativity removed.
Command: PRESSPULL
Click inside bounded areas to press or pull.
1 loop extracted.
1 Region created.
Hatch boundary associativity removed.
Hatch boundary associativity removed.
Hatch boundary associativity removed.
Hatch boundary associativity removed.
Hatch boundary associativity removed.
Hatch boundary associativity removed..
  • 2

Hạt giống tâm hồn : http://htlove.org/


#5 hakhoailang

hakhoailang

    biết lệnh rotate

  • Members
  • PipPipPip
  • 131 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 25 July 2011 - 04:32 PM

Hình đã gửi
Theo em với hình của anh không nên câu nệ phụ thuộc quá nhiều vào lisp , trong khi CAD có thể làm được ngon lành.
Bản vẽ của anh quản lý layer tuỳ tiện quá, màu layer chỉnh sửa rối tung lên như thế sẽ gặp khó khăn khi in ấn. Nếu bản vẽ đặt mầu nào layer đó bài bản , chỉ cần tắt, bớt một số mặt cắt và các layer khác không cần thiết, rồi tiến hành như sau:
- Dựng 3D bằng lệnh Presspull chỉ vào miền kín chỗ tô mặt cắt đã tắt lớp layer > nhập chiều cao, chỉ cần nhập 1 lần dùng cho nhiều lần, chỗ nào có chiều cao khác mới phải nhập lại chiều cao.
- Dùng lệnh Union để nhập các khối riêng lẻ thành 1 khối duy nhất
- Dùng lệnh Massprop để biết được thể tích của khối 3D. Nhân với khối lượng riêng ra khối lượng.
Command: presspull
Click inside bounded areas to press or pull.
1 loop extracted.
1 Region created.
150 (chiều cao mặt cắt)
Hatch boundary associativity removed.
Hatch boundary associativity removed.
Command: PRESSPULL
Click inside bounded areas to press or pull.
1 loop extracted.
1 Region created.
100 (chiều cao mặt cắt)
Hatch boundary associativity removed.
Hatch boundary associativity removed.
Hatch boundary associativity removed.
Hatch boundary associativity removed.
Command: PRESSPULL
Click inside bounded areas to press or pull.
1 loop extracted.
1 Region created.
Hatch boundary associativity removed.
Hatch boundary associativity removed.
Hatch boundary associativity removed.
Hatch boundary associativity removed.
Hatch boundary associativity removed.
Hatch boundary associativity removed..

nếu dùng như thế biết khi nào mới xong một công trình .
ý mình muốn là chỉ cần pick trên bản vẽ để hỗ trợ tính cho nhanh thôi . riêng cái phần vẽ đã tốn rất nhiều thời gian rồi .
nếu phải dựng 3d như thế nữ thì đến khi nào mới xong.
trong lúc đó chủ đàu tư bắt mình phải nộp hồ sơ ngay.
thời gian không cho phép bác à .
thế nên mới phải nhờ các bác viết hộ cái lip chứ cũng chẳng ai muốn phải phiền đến các bác .
mỗi lầ chủ đầu tư bắt nộp là phải thúc đêm thức hôm .cực lắm .
sức khoẻ có hạn mà cứ vắt kiệt sức thì chết .
trong lúc đó tiền có dc lấy đâu bác .làm công ăn lương thôi bác à.
  • 0

#6 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5419 Bài viết
Điểm đánh giá: 2480 (tuyệt vời)

Đã gửi 25 July 2011 - 04:40 PM

@hakhoailang : mình cũng không biết nói thế nào để bạn hiểu công việc của 1 người viết lisp nữa. Đầu vào bạn k nhập, chỉ ngồi nhìn 3 cái hình là ra kết quả hả. Nói mãi rồi, bạn cũng yêu cầu lisp bao lần rồi :(
  • 1

Thành viên nhóm CadMagic.

Mời bạn ghé thăm facebook nhóm  :

CAD MAGIC


#7 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4197 Bài viết
Điểm đánh giá: 3705 (đỉnh cao)

Đã gửi 25 July 2011 - 05:46 PM

các báo viết hộ em cái lisp tính thể tích cá vật thể .
em đang tính khối lượng của công trình .
mà cứ ngồi pick thủ công để tính thể tích khối lượng mệt gần chết .
nhờ các bác viết hộ em cái líp tính thể tích vật thể có tỷ lệ với ý tưởng như sau .
cách tính thể tích thường thì lấy chiều dài x rộng x cao
nhung nhiều khi mình phải vẽ các vật thể ko định hình sẵn vì vậy em nghĩ nên tính diện tích rồi nhân với chiều cao .
có trường hợp lại phải tính diện bằng cách [ DIỆN TÍCH MẶT CẮT 1 CỘNG DIỆN TÍCH MẶT CẮT 2 NHÂN VỚI CHIỀU DÀI RỒI CHIA ĐÔI ]
bác nào có ý tưởng hay thì viết cho em cái lisp nó toàn diện tý
còn không thì giúp em cái này nhé em đang cần : [ DIỆN TÍCH MẶT CẮT 1 CỘNG DIỆN TÍCH MẶT CẮT 2 NHÂN VỚI CHIỀU DÀI RỒI CHIA ĐÔI ]
còn hình minh họa thì em có đây các bác
nhiều khi lại tính hình vành khăn hoặc vật thể bị khoét lõi nữa các bác .
thank các bác .
giúp hộ em tý : em đuối quá : http://www.cadviet.c...hoi_luong_1.dwg (file moi sua bai)

Bạn thử đoạn code, Tue_NV mới viết :
(defun c:ttt(/ e1 e2 tile s1 s2 Res text)
(defun gb( / ss from to cur)
  (setq frome (entlast)) ;; chon doi tuong cuoi cung truoc khi boundary
  (command ".boundary" pause "") ;; boundary
  (setq toe (entlast)) ;; chon doi tuong cuoi cung sau khi boundary
  
  (setq	cur frome ; khoi tao
	ss (ssadd)
  )
  (while (not (eq cur toe)) ;; chon cac doi tuong tu frome den toe
    (setq
      cur (entnext cur)
      ss (ssadd cur ss)
     )
   )
  
  (sssetfirst ss ss)  ;; highlight ket qua
ss
)
;Main
  (princ "chon 1 diem trong hinh thu nhat") (setq e1 (gb))
  (princ "chon 1 diem trong hinh thu hai") (setq e2 (gb))
  (setq dis (getdist "\n Nhap chieu dai hoac Pick 2 diem tren man hinh lam chieu dai :"))  
    (or *tile* (setq *tile* 1.0))
  (setq tile (getreal (strcat "\n Nhap he so ti le < " (rtos *tile* 2 3) " > ")))
  (if tile (setq *tile* tile) (setq tile *tile*))
  (Command "area" "o" e1)
  (setq s1 (getvar "area"))
  (Command "area" "o" e2)
  (setq s2 (getvar "area"))
  (command "erase" e1 e2 "")
  (setq Res (* (/ (+ s1 s2) 2.0) dis tile tile tile))
  (setq text (entget(car(entsel "\n pick Text thay the"))))
  (entmod (subst (cons 1 (rtos Res 2 2)) (assoc 1 text) text))
)
Chú ý : trước khi chạy Lisp, bạn phải joint các Arc và Pline thành 1 đối tượng kín
  • 2

#8 hakhoailang

hakhoailang

    biết lệnh rotate

  • Members
  • PipPipPip
  • 131 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 25 July 2011 - 08:21 PM

@hakhoailang : mình cũng không biết nói thế nào để bạn hiểu công việc của 1 người viết lisp nữa. Đầu vào bạn k nhập, chỉ ngồi nhìn 3 cái hình là ra kết quả hả. Nói mãi rồi, bạn cũng yêu cầu lisp bao lần rồi :(

cảm ơn bác đã quan tâm.
đầu vào như thế này bác thử xem nhé :
1 pick vào hình số 1 ( chính là mặt cắt 1 ) ta được diện tích mặt cắt 1( cái diện tích bác có thể kết hợp hàm tính diện tích trong lip tính diện tích trên diễn đàn dc ko bác , chỉ cần pick vào hình là tính dc diện tích)
2 pịck vào hình thứ 2 chính là mặt cắt thứ 2 ta dc diện tích hình thứ 2 .
3 pick vào điểm đầu và điểm cuối của đoạn thẳng AB chính là khoảng cách của 2 mặt cắt .
4 sau khi pick thì lip sẽ tính toán theo công thức như sau :
[DIỆN TÍCH MẶT CẮT 1 + DIỆN TÍCH MẶT CẮT 2)NHÂN KHOẢNG CÁCH 2 MẶT CẮT RỒI CHIA ĐÔI
5 vòng lặp sẽ lặp lại liên tục để tính các thể tích của các hình liên tiếp
6 kết thúc vòng lặp và cộng tổng tất cả các thể tích của những vật thể vừa tính dc
7 Pick vào text để ghi kết quả .
8 thank bác đã quan tâm.bác đừng giận em vì em cũng lơ mơ về lip nên ko biết thế nào.
bác đừng trách gà con này nhé.
  • 0

#9 hakhoailang

hakhoailang

    biết lệnh rotate

  • Members
  • PipPipPip
  • 131 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 25 July 2011 - 08:28 PM

Bạn thử đoạn code, Tue_NV mới viết :

(defun c:ttt(/ e1 e2 tile s1 s2 Res text)
(defun gb( / ss from to cur)
  (setq frome (entlast)) ;; chon doi tuong cuoi cung truoc khi boundary
  (command ".boundary" pause "") ;; boundary
  (setq toe (entlast)) ;; chon doi tuong cuoi cung sau khi boundary
  
  (setq	cur frome ; khoi tao
	ss (ssadd)
  )
  (while (not (eq cur toe)) ;; chon cac doi tuong tu frome den toe
    (setq
      cur (entnext cur)
      ss (ssadd cur ss)
     )
   )
  
  (sssetfirst ss ss)  ;; highlight ket qua
ss
)
;Main
  (princ "chon 1 diem trong hinh thu nhat") (setq e1 (gb))
  (princ "chon 1 diem trong hinh thu hai") (setq e2 (gb))
  (setq dis (getdist "\n Nhap chieu dai hoac Pick 2 diem tren man hinh lam chieu dai :"))  
    (or *tile* (setq *tile* 1.0))
  (setq tile (getreal (strcat "\n Nhap he so ti le < " (rtos *tile* 2 3) " > ")))
  (if tile (setq *tile* tile) (setq tile *tile*))
  (Command "area" "o" e1)
  (setq s1 (getvar "area"))
  (Command "area" "o" e2)
  (setq s2 (getvar "area"))
  (command "erase" e1 e2 "")
  (setq Res (* (/ (+ s1 s2) 2.0) dis tile tile tile))
  (setq text (entget(car(entsel "\n pick Text thay the"))))
  (entmod (subst (cons 1 (rtos Res 2 2)) (assoc 1 text) text))
)
Chú ý : trước khi chạy Lisp, bạn phải joint các Arc và Pline thành 1 đối tượng kín

thank bác để em thử phát .
nhưng bác có thể thêm cho em cái vòng lặp dc ko với cái chỉ cần pick vào hình để tính diện tích ko cần phả nối thành line kín dc ko bác .
hình như cái hàm trong lip tính dienj tích trên diễn đàn có mà bác
  • 0

#10 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2216 Bài viết
Điểm đánh giá: 725 (tốt)

Đã gửi 25 July 2011 - 09:13 PM

nếu dùng như thế biết khi nào mới xong một công trình .
ý mình muốn là chỉ cần pick trên bản vẽ để hỗ trợ tính cho nhanh thôi . riêng cái phần vẽ đã tốn rất nhiều thời gian rồi .
nếu phải dựng 3d như thế nữ thì đến khi nào mới xong.
trong lúc đó chủ đàu tư bắt mình phải nộp hồ sơ ngay.
thời gian không cho phép bác à .
thế nên mới phải nhờ các bác viết hộ cái lip chứ cũng chẳng ai muốn phải phiền đến các bác .
mỗi lầ chủ đầu tư bắt nộp là phải thúc đêm thức hôm .cực lắm .
sức khoẻ có hạn mà cứ vắt kiệt sức thì chết .
trong lúc đó tiền có dc lấy đâu bác .làm công ăn lương thôi bác à.

Nếu anh quản lý layer đúng bài bản, tắt lớp > Dựng 3D bằng lệnh Presspull cực nhanh, chỉ Click vào vùng kín nhập chiều cao là xong.
(Lệnh Presspull nó không đòi hỏi phải là một Pl khép kín hay BOUNDARY như lệnh EXTRUDE)
  • 1

Hạt giống tâm hồn : http://htlove.org/


#11 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 5714 Bài viết
Điểm đánh giá: 2989 (tuyệt vời)

Đã gửi 25 July 2011 - 09:25 PM

nếu dùng như thế biết khi nào mới xong một công trình .
ý mình muốn là chỉ cần pick trên bản vẽ để hỗ trợ tính cho nhanh thôi . riêng cái phần vẽ đã tốn rất nhiều thời gian rồi .
nếu phải dựng 3d như thế nữ thì đến khi nào mới xong.
trong lúc đó chủ đàu tư bắt mình phải nộp hồ sơ ngay.
thời gian không cho phép bác à .
thế nên mới phải nhờ các bác viết hộ cái lip chứ cũng chẳng ai muốn phải phiền đến các bác .
mỗi lầ chủ đầu tư bắt nộp là phải thúc đêm thức hôm .cực lắm .
sức khoẻ có hạn mà cứ vắt kiệt sức thì chết .
trong lúc đó tiền có dc lấy đâu bác .làm công ăn lương thôi bác à.

Hề hề hề,
Quả là củ khoai lang này có tí hà thật các bác ạ.
Chả hiểu bạn hàkhoailang dựa vào đâu để đưa ra cái công thức tính thể tích này nhỉ??? Giá mà nó là một phần của một lăng trụ thì cón đi một nhẽ, đằng này chỉ nói chung chung là hai cái mặt cắt và khoảng cách giữa hai mặt cắt mà có được cái công thức này thì chắc các nhà bác học của ta cần phải cho đi học lại tất. Chả tin thì các bác cứ thử moi cái công thức tính thể tích hình đống cát ra coi lại xem hè.
Nếu bạn hakhoailang không thích xài 3D thì có nhẽ bạn cũng nên chuyển công tác khác đi nhể. Làm kỹ sư thiết kế, lại phải làm việc thường xuyên với nhữnmg cái oái oăm như vầy mà lại không muốn dùng 3D thì thật là ..... vất vả và cũng đến kiệt sức mà vẫ chả nên cơm cháo gì. Hề hề hề, chi bằng kiếm cái chi nó đỡ 3D hơn mà lại nhiều tiền mà mần bạn ạ.....
Cách sử dụng 3D như bác Hoăn2182 nói thực ra cũng khá đơn giản và cũng rất nhanh đó, chả khó khăn như bạn chửa làm mà nghĩ đâu. hề hề hề.....
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#12 hakhoailang

hakhoailang

    biết lệnh rotate

  • Members
  • PipPipPip
  • 131 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 25 July 2011 - 10:33 PM

Hề hề hề,
Quả là củ khoai lang này có tí hà thật các bác ạ.
Chả hiểu bạn hàkhoailang dựa vào đâu để đưa ra cái công thức tính thể tích này nhỉ??? Giá mà nó là một phần của một lăng trụ thì cón đi một nhẽ, đằng này chỉ nói chung chung là hai cái mặt cắt và khoảng cách giữa hai mặt cắt mà có được cái công thức này thì chắc các nhà bác học của ta cần phải cho đi học lại tất. Chả tin thì các bác cứ thử moi cái công thức tính thể tích hình đống cát ra coi lại xem hè.
Nếu bạn hakhoailang không thích xài 3D thì có nhẽ bạn cũng nên chuyển công tác khác đi nhể. Làm kỹ sư thiết kế, lại phải làm việc thường xuyên với nhữnmg cái oái oăm như vầy mà lại không muốn dùng 3D thì thật là ..... vất vả và cũng đến kiệt sức mà vẫ chả nên cơm cháo gì. Hề hề hề, chi bằng kiếm cái chi nó đỡ 3D hơn mà lại nhiều tiền mà mần bạn ạ.....
Cách sử dụng 3D như bác Hoăn2182 nói thực ra cũng khá đơn giản và cũng rất nhanh đó, chả khó khăn như bạn chửa làm mà nghĩ đâu. hề hề hề.....

cái công thức tính đó là do các bên quy định với nhau.cho dù mặt cắt thay đổi thế nào đi nữa thì chỉ cần tính tổng diện tích va nhân chiều dài chia đôi
em cũng hơi kém về cad nên ko biết dùng 3d với lại em thiết kế cầu đường nên ko dùng đến 3D .
cũng do trước đây em là ban nên ko dùng cad vây giờ mới vào tư vấn nên hơi kém về cad .
thiết nghĩ cầu đường cũng ko cần 3D như kiến trúc hay xây dựng .
mà nói tóm lại là kém nên phải nhờ đến công cụ hỗ trợ là lip cho nó nhanh tiến độ các bác a. mong bác thông cảm và giúp em.
em cũng chẳng biết nói sao nhưng mỗi người 1 hoàn cảnh nên có khó khăn riêng.
em đang cố gắng vuợt qua khó khăn đầu tiên là yếu cad và muốn làm nhanh .
cộc đời gian nan . mình phải gắng để bám trụ giữa cuộc đời .
  • 0

#13 hakhoailang

hakhoailang

    biết lệnh rotate

  • Members
  • PipPipPip
  • 131 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 25 July 2011 - 10:41 PM

Nếu anh quản lý layer đúng bài bản, tắt lớp > Dựng 3D bằng lệnh Presspull cực nhanh, chỉ Click vào vùng kín nhập chiều cao là xong.
(Lệnh Presspull nó không đòi hỏi phải là một Pl khép kín hay BOUNDARY như lệnh EXTRUDE)

cảm ơn bác nhiều nhưng khổ nỗi cái hình khối của em nó thay đổi mặt căt bác à . có phần thay đổi kích thước và có phần không thay đổi .
nó không tịnh tiến nên không thể nhập chiều cao dc . hình khối của em là hình đa diện phức tạp nên chỉ tính theo mặt cắt trung bình bác à.
cũng giống như kiểu cơ khí ấy.
  • 1

#14 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2216 Bài viết
Điểm đánh giá: 725 (tốt)

Đã gửi 25 July 2011 - 11:08 PM

cảm ơn bác nhiều nhưng khổ nỗi cái hình khối của em nó thay đổi mặt căt bác à . có phần thay đổi kích thước và có phần không thay đổi .
nó không tịnh tiến nên không thể nhập chiều cao dc . hình khối của em là hình đa diện phức tạp nên chỉ tính theo mặt cắt trung bình bác à.
cũng giống như kiểu cơ khí ấy.

Dân cơ khí không tính theo mặt cắt trung bình với các khối phức tạp. Hình khối phức tạp lại càng cần phải vẽ 3D. Với những hình mặt cắt khác nhau thu nhỏ (đồng dạng hay không đồng dạng), nghiêng, lệch đã có lệnh loft.
Không biết hình bên cầu đường thế nào, bên cơ khí có rất nhiều hình phức tạp nếu tính toán bằng toán học sẽ gặp nhiều khó khăn , dựng hình 3D vẫn là cách làm nhanh nhất.
  • 0

Hạt giống tâm hồn : http://htlove.org/


#15 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 5714 Bài viết
Điểm đánh giá: 2989 (tuyệt vời)

Đã gửi 26 July 2011 - 12:55 AM

cái công thức tính đó là do các bên quy định với nhau.cho dù mặt cắt thay đổi thế nào đi nữa thì chỉ cần tính tổng diện tích va nhân chiều dài chia đôi
em cũng hơi kém về cad nên ko biết dùng 3d với lại em thiết kế cầu đường nên ko dùng đến 3D .
cũng do trước đây em là ban nên ko dùng cad vây giờ mới vào tư vấn nên hơi kém về cad .
thiết nghĩ cầu đường cũng ko cần 3D như kiến trúc hay xây dựng .
mà nói tóm lại là kém nên phải nhờ đến công cụ hỗ trợ là lip cho nó nhanh tiến độ các bác a. mong bác thông cảm và giúp em.
em cũng chẳng biết nói sao nhưng mỗi người 1 hoàn cảnh nên có khó khăn riêng.
em đang cố gắng vuợt qua khó khăn đầu tiên là yếu cad và muốn làm nhanh .
cộc đời gian nan . mình phải gắng để bám trụ giữa cuộc đời .

Hề hề hề,
1/- Vừa rồi, mình có chú em làm bên giao thông cũng gửi bản vẽ nhờ mình tính lại giùm khối lượng bê tông của các móng cột dựng hộ lan. Mình không chơi như bác Hoan2182 mà dùng solidwork (cũng là dựng 3D nhưng dựng trong SolidWork thì sướng hơn do có nhiều công cụ dựng hình hơn). Sau khi tính xong, chú ta mừng húm vì được lợi ra khá nhiều khối lượng bê tông so với cách tính "thỏa thuận" như kiểu của bạn. Chả biết bạn ở bên A hay bên B, song theo mình tính đúng tính đủ vẫn tốt hơn là làm kiểu "thỏa thuận" bạn ạ. Có ăn cũng chả sướng mà bị ăn thì cứ tức anh ách.
2/- Đúng là "cuộc đời gian nan . mình phải gắng để bám trụ giữa cuộc đời" Song như vậy thì càng cần phải học những cái mà "cuộc đời" nó cần bạn ạ. Có vậy mới bám trụ được chớ. Việc vẽ 3D thực ra chả quá khó khăn nế`u như bạn quyết tâm học để làm và học để chả thằng nào lòe mình được.
3/- thiết nghĩ cầu đường cũng ko cần 3D như kiến trúc hay xây dựng là cái thiết nghĩ sai đó. Như trường hợp mình vừa nêu là một ví dụ. Rõ ràng là nó có cần, nhưng vì chưa biết nên mới phải "thỏa thuận" vậy. Khi biết rồi thì lại dễ như ăn ớt vậy và hoàn toàn có thể mạnh dạn mà phát vài cái biểu cho đối tác le lưỡi chơi.
Hề hề hề,
Chúc bạn thành công trong công việc.
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#16 hakhoailang

hakhoailang

    biết lệnh rotate

  • Members
  • PipPipPip
  • 131 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 26 July 2011 - 08:36 AM

cuối cùng vẫn ko ra cái lip dc. bác nào có tài liệu nàng hướng đẫn về 3D cơ bản đi cho em với .em nghĩ cầu đường bọn em chỉ cần dựng hình khối thôi không cần phải phức tạp quá.nên các bác cứ cho em tài liệu đơn giản để học từ từ cái đã.em chỉ dùng cad2005 để chạy nova thỉnh thoảng dùng cad 2007 để chỉnh sửa thôi.
bác nào có 3d nào của đời cad như em thì cho em với .hoặc công cụ 3D cũng dc.
  • 0

#17 hakhoailang

hakhoailang

    biết lệnh rotate

  • Members
  • PipPipPip
  • 131 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 26 July 2011 - 08:44 AM

Hề hề hề,
1/- Vừa rồi, mình có chú em làm bên giao thông cũng gửi bản vẽ nhờ mình tính lại giùm khối lượng bê tông của các móng cột dựng hộ lan. Mình không chơi như bác Hoan2182 mà dùng solidwork (cũng là dựng 3D nhưng dựng trong SolidWork thì sướng hơn do có nhiều công cụ dựng hình hơn). Sau khi tính xong, chú ta mừng húm vì được lợi ra khá nhiều khối lượng bê tông so với cách tính "thỏa thuận" như kiểu của bạn. Chả biết bạn ở bên A hay bên B, song theo mình tính đúng tính đủ vẫn tốt hơn là làm kiểu "thỏa thuận" bạn ạ. Có ăn cũng chả sướng mà bị ăn thì cứ tức anh ách.
2/- Đúng là "cuộc đời gian nan . mình phải gắng để bám trụ giữa cuộc đời" Song như vậy thì càng cần phải học những cái mà "cuộc đời" nó cần bạn ạ. Có vậy mới bám trụ được chớ. Việc vẽ 3D thực ra chả quá khó khăn nế`u như bạn quyết tâm học để làm và học để chả thằng nào lòe mình được.
3/- thiết nghĩ cầu đường cũng ko cần 3D như kiến trúc hay xây dựng là cái thiết nghĩ sai đó. Như trường hợp mình vừa nêu là một ví dụ. Rõ ràng là nó có cần, nhưng vì chưa biết nên mới phải "thỏa thuận" vậy. Khi biết rồi thì lại dễ như ăn ớt vậy và hoàn toàn có thể mạnh dạn mà phát vài cái biểu cho đối tác le lưỡi chơi.
Hề hề hề,
Chúc bạn thành công trong công việc.

kakaka thank bác đã động viên .
bác cho em xin ít tài liệu vẽ 3D bằng cad đi .em bắt tay luôn.
  • 0

#18 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2216 Bài viết
Điểm đánh giá: 725 (tốt)

Đã gửi 26 July 2011 - 09:44 AM

kakaka thank bác đã động viên .
bác cho em xin ít tài liệu vẽ 3D bằng cad đi .em bắt tay luôn.

Hình đã gửi

Tài liệu vẽ 3D trên diễn đàn có rất nhiều .Gõ vào chức năng tìm kiếm sẽ thấy. Nếu muốn tập vẽ 3D anh cài đặt luôn CAD2011. Lôi thanh công cụ ra , chỉ cần di chuột vào biểu tượng, đợi giây lát , nó sẽ hiện ra bảng hướng dẫn cách sử dụng lệnh. Sử dụng thạo lệnh rồi dùng lệnh tắt sẽ nhanh hơn vẽ theo biểu tượng.

Hình đã gửi

Ứng dụng vẽ hình 3D từ hình 2D vẽ bằng lệnh Line , Arc:
Chọn lệnh Presspull > Bấm chuột vào giữa một miền kín bất kỳ > Nhập chiều cao.
Chưa vẽ 3D bao giờ tưởng là khó, đến khi bắt tay vào mới thấy là dễ không khó lắm đâu nếu chỉ vẽ chi tiết đơn lẻ, chỉ khi vẽ bản tổng thể cả công trình mới khó. Chúc anh thành công!
  • 1

Hạt giống tâm hồn : http://htlove.org/


#19 gamo86

gamo86

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 July 2011 - 11:47 PM

Bạn thử đoạn code, Tue_NV mới viết :

(defun c:ttt(/ e1 e2 tile s1 s2 Res text)
(defun gb( / ss from to cur)
  (setq frome (entlast)) ;; chon doi tuong cuoi cung truoc khi boundary
  (command ".boundary" pause "") ;; boundary
  (setq toe (entlast)) ;; chon doi tuong cuoi cung sau khi boundary
  
  (setq	cur frome ; khoi tao
	ss (ssadd)
  )
  (while (not (eq cur toe)) ;; chon cac doi tuong tu frome den toe
    (setq
      cur (entnext cur)
      ss (ssadd cur ss)
     )
   )
  
  (sssetfirst ss ss)  ;; highlight ket qua
ss
)
;Main
  (princ "chon 1 diem trong hinh thu nhat") (setq e1 (gb))
  (princ "chon 1 diem trong hinh thu hai") (setq e2 (gb))
  (setq dis (getdist "\n Nhap chieu dai hoac Pick 2 diem tren man hinh lam chieu dai :"))  
    (or *tile* (setq *tile* 1.0))
  (setq tile (getreal (strcat "\n Nhap he so ti le < " (rtos *tile* 2 3) " > ")))
  (if tile (setq *tile* tile) (setq tile *tile*))
  (Command "area" "o" e1)
  (setq s1 (getvar "area"))
  (Command "area" "o" e2)
  (setq s2 (getvar "area"))
  (command "erase" e1 e2 "")
  (setq Res (* (/ (+ s1 s2) 2.0) dis tile tile tile))
  (setq text (entget(car(entsel "\n pick Text thay the"))))
  (entmod (subst (cons 1 (rtos Res 2 2)) (assoc 1 text) text))
)
Chú ý : trước khi chạy Lisp, bạn phải joint các Arc và Pline thành 1 đối tượng kín

bác tuệ ơi em dùng cái của bác nhưng lại bị thế này là sao bác nhỉ
BOUNDARY created 1 polyline
Command: ; error: bad argument type: lselsetp nil
em đã nối lại rồi đấy thành đa tuyến kín rồi
  • 0

#20 DUCNGOC

DUCNGOC

    biết vẽ line

  • Members
  • PipPip
  • 26 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 December 2011 - 02:34 PM

các báo viết hộ em cái lisp tính thể tích cá vật thể .
em đang tính khối lượng của công trình .
mà cứ ngồi pick thủ công để tính thể tích khối lượng mệt gần chết .
nhờ các bác viết hộ em cái líp tính thể tích vật thể có tỷ lệ với ý tưởng như sau .
cách tính thể tích thường thì lấy chiều dài x rộng x cao
nhung nhiều khi mình phải vẽ các vật thể ko định hình sẵn vì vậy em nghĩ nên tính diện tích rồi nhân với chiều cao .
có trường hợp lại phải tính diện bằng cách [ DIỆN TÍCH MẶT CẮT 1 CỘNG DIỆN TÍCH MẶT CẮT 2 NHÂN VỚI CHIỀU DÀI RỒI CHIA ĐÔI ]
bác nào có ý tưởng hay thì viết cho em cái lisp nó toàn diện tý
còn không thì giúp em cái này nhé em đang cần : [ DIỆN TÍCH MẶT CẮT 1 CỘNG DIỆN TÍCH MẶT CẮT 2 NHÂN VỚI CHIỀU DÀI RỒI CHIA ĐÔI ]
còn hình minh họa thì em có đây các bác
nhiều khi lại tính hình vành khăn hoặc vật thể bị khoét lõi nữa các bác .
thank các bác .
giúp hộ em tý : em đuối quá : http://www.cadviet.c...hoi_luong_1.dwg (file moi sua bai)


chào bạn mình nghĩ có thể giúp được bạn , mình củng mới biết sáng nay thôi
bạn có thể dùng lệnh massprop để lấy thể tích của vật thể khối mà
chúc bạn thành công
  • 0